#
# spec file for package xclip
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           xclip
Version:        0.12
Release:        2.1
Summary:        Command Line Interface to the X11 Clipboard
License:        GPL-2.0+
Group:          System/X11/Utilities
Source:         http://prdownloads.sourceforge.net/xclip/xclip-%{version}.tar.gz
Url:            http://sourceforge.net/projects/xclip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} >= 1020
BuildRequires:  xorg-x11-libX11-devel
BuildRequires:  xorg-x11-libXmu-devel
%else
BuildRequires:  xorg-x11-devel
%endif
BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  make
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

%description
xclip is a command line interface to the X11 clipboard. It can also be used
for copying files, as an alternative to sftp/scp, thus avoiding password
prompts when X11 forwarding has already been setup.




Authors:
--------
    Peter Åstrand <astrand@lysator.liu.se>

%prep
%setup -q

%build
%configure \
%if 0%{?suse_version} >= 1020
	 --x-includes="%{_usr}/include" \
	 --x-libraries="%{_usr}/%{_lib}" \
%else
	 --x-includes="%{_usr}/X11R6/include" \
	 --x-libraries="%{_usr}/X11R6/%{_lib}" \
%endif
	 --with-x
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README 
%{_bindir}/xclip
%{_bindir}/xclip-copyfile
%{_bindir}/xclip-cutfile
%{_bindir}/xclip-pastefile
%doc %{_mandir}/man1/xclip.1*
%doc %{_mandir}/man1/xclip-copyfile.1*

# Local Variables:
# mode: rpm-spec
# tab-width: 3
# End:

%changelog
* Sun Apr 20 2014 cs@linux-administrator.com
- update to release 0.12
* Mon Dec 12 2011 coolo@suse.com
- fix license to be in spdx.org format
* Thu Aug 27 2009 coolo@novell.com
- update to 0.11 from build service
    xclip-copyfile is now compatible with recent tar versions.
    The performance has been greatly enhanced, especially over
    slow networks. Two helper scripts, xclip-copyfile and
    xclip-pastefile, has been added. Taken together, xclip can now
    be used as an alternative to sftp/scp, thus avoiding password
    prompt when X11 forwarding has already been setup.
    Autoconf is now used instead of Imake.
* Thu Aug  7 2008 bphilips@suse.de
- Initial commit 0.08
